Skip to navigation

Get a list of all wallet grants

Requires the WALLET_GRANT.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list.
pageintegerOptional
The page which is going to be shown.
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
customer_idstringOptional
Filter wallet grants by customer resource id.
wallet_idstringOptional
Filter wallet grants by wallet resource id.
sourcestringOptional
Filter wallet grants by what the grant quantity was derived from at issuance.

Response

OK
datalist of objects
limitinteger or nullOptional
pageinteger or nullOptional
total_number_of_pagesinteger or nullOptionalDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error